Docs

User market position performance

GET
/v0/blue/markets/{market-selector}/users/{user-address}/position/performance

Average-cost realized and unrealized Morpho Blue supply earnings and borrow costs. External rewards are excluded.

Path Parameters

user-address*string

Position owner address. Example: 0xabcdefabcdefabcdefabcdefabcdefabcdefabcd.

Formataddress
market-selector*string

Selector formatted as <chain_id>:<market_id>. Example: 1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342.

Format<chain_id>:<market_id>

Response Body

application/json

curl -X GET "https://example.com/v0/blue/markets/1:0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342/users/0xabcdefabcdefabcdefabcdefabcdefabcdefabcd/position/performance"
{  "data": {    "chain_id": 1,    "market_id": "0xb1adceddb2941033a02dd819a3b9636a8c6f1cd1c2cd1add34e3c7b1f6c0fe25",    "user_address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",    "last_indexed_block": "19847234",    "accounting_method": "average_cost",    "supply_net_earnings_assets": "1124530000",    "supply_return_on_capital": 0.02249,    "borrow_net_cost_assets": "82354123",    "borrow_cost_on_capital": 0.00969  }}